> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/mstndat-api/nzrh-aamh-ala-tlbat-geopard-api/43.-astalam-jlb-fields.md).

# 43. استعلام: جلب "Fields"

استعلام للحصول على "الحقول" الخاصة بالمستخدم مع عوامل تصفية حسب `الوسوم`, `معرف_المزرعة`, `معرف_الحقل`, `اسم_الحقل`. تُعاد الحقول بترتيب أبجدي حسب اسم الحقل.&#x20;

عامل تصفية الحقل يعمل كشرط AND، على سبيل المثال من الممكن التصفية حسب `معرف_المزرعة` وحسب `معرف_الحقل` وحسب `الوسوم` وحسب `اسم_الحقل` في استعلام واحد أو استخدام شرط تصفية واحد فقط أو عدم استخدام أي شرط.&#x20;

التصفية حسب `اسم_الحقل` يعمل كـ `يبدأ_بـ`.&#x20;

لتنفيذ منطق الترميز (pagination)، استخدم معامل الاستعلام `حجم_الصفحة`. توجد `المفتاح_المقيَّم_الأخير` و `الإجمالي` في الاستجابة، حيث `المفتاح_المقيَّم_الأخير` يشير إلى آخر سجل تمت معالجته ليتوافق مع شرط التصفية و `الإجمالي` هو العدد الإجمالي للسجلات التي تطابق شروط التصفية.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      الاسم
      labels {
        الاسم
        value
      }
      الإجمالي
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-api/nzrh-aamh-ala-tlbat-geopard-api/43.-astalam-jlb-fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
